/services/platforms/v1/support/tickets/detail
Auth
| Field | Type | Required | Description | Example |
|---|---|---|---|---|
ticket_id |
integer | Yes | 42 |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
mixed[] |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
object | |
data.id |
string | |
data.ticket_number |
string | |
data.channel_id |
string | |
data.project_id |
string | |
data.user_id |
string | |
data.assigned_to |
string | |
data.subject |
string | |
data.message |
string | |
data.status |
string | |
data.priority |
string | |
data.rating |
string | |
data.type |
string | |
data.tool_key |
string | |
data.page |
string | |
data.ip_address |
string | |
data.user_agent |
string | |
data.metadata |
string | |
data.migrated_from_id |
string | |
data.created_at |
string | |
data.updated_at |
string | |
data.channel |
string | |
data.user |
string | |
data.project |
string | |
data.assignee |
string | |
data.replies |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
mixed[] |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
mixed[] |
| Field | Type | Description |
|---|---|---|
message |
string | Errors overview. |
errors |
object | A detailed description of each field that failed validation. |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/services/platforms/v1/support/tickets/detail" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"ticket_id": 42
}'
fetch('https://api.wemasy.nl/api/services/platforms/v1/support/tickets/detail', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"ticket_id": 42
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/services/platforms/v1/support/tickets/detail', {
"ticket_id": 42
});
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
data = {
"ticket_id": 42
}
r = requests.post("https://api.wemasy.nl/api/services/platforms/v1/support/tickets/detail", headers=headers, json=data)
print(r.json())
{
"error": false,
"message": "string",
"data": {
"id": "string",
"ticket_number": "string",
"channel_id": "string",
"project_id": "string",
"user_id": "string",
"assigned_to": "string",
"subject": "string",
"message": "string",
"status": "string",
"priority": "string",
"rating": "string",
"type": "string",
"tool_key": "string",
"page": "string",
"ip_address": "string",
"user_agent": "string",
"metadata": "string",
"migrated_from_id": "string",
"created_at": "string",
"updated_at": "string",
"channel": "string",
"user": "string",
"project": "string",
"assignee": "string",
"replies": "string"
}
}